MuleLogger (Mule ESB 2.2.1 API)
Keywords: org.mule.util.MuleLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class MuleLogger

    java.lang.Object
      org.mule.util.MuleLogger

All Implemented Interfaces:
  Log

    public class MuleLogger

extends Object
implements Log

A `Log` wrapper that supports boilerplate logging for high impact messages

Constructor Summary
`MuleLogger(Log logger)`

Method Summary
`void` | `boilerPlate(List messages, char c, int maxlength)`
`void` | `boilerPlate(String message)`
`void` | `boilerPlate(String[] messages, char c, int maxlength)`
`void` | `boilerPlate(String message, char c, int maxlength)`
`void` | `debug(Object o)`
`void` | `debug(Object o, Throwable throwable)`
`void` | `error(Object o)`
`void` | `error(Object o, Throwable throwable)`
`void` | `fatal(Object o)`
`void` | `fatal(Object o, Throwable throwable)`
`void` | `info(Object o)`
`void` | `info(Object o, Throwable throwable)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `logBoilerPlate(List messages)`
`void` | `logBoilerPlate(String[] messages)`
`void` | `trace(Object o)`
`void` | `trace(Object o, Throwable throwable)`
`void` | `warn(Object o)`
`void` | `warn(Object o, Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleLogger

    public MuleLogger(Log logger)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Log`

### trace

    public void trace(Object o)

  Specified by:
    `trace` in interface `Log`

### trace

    public void trace(Object o,
                      Throwable throwable)

  Specified by:
    `trace` in interface `Log`

### debug

    public void debug(Object o)

  Specified by:
    `debug` in interface `Log`

### debug

    public void debug(Object o,
                      Throwable throwable)

  Specified by:
    `debug` in interface `Log`

### info

    public void info(Object o)

  Specified by:
    `info` in interface `Log`

### info

    public void info(Object o,
                     Throwable throwable)

  Specified by:
    `info` in interface `Log`

### warn

    public void warn(Object o)

  Specified by:
    `warn` in interface `Log`

### warn

    public void warn(Object o,
                     Throwable throwable)

  Specified by:
    `warn` in interface `Log`

### error

    public void error(Object o)

  Specified by:
    `error` in interface `Log`

### error

    public void error(Object o,
                      Throwable throwable)

  Specified by:
    `error` in interface `Log`

### fatal

    public void fatal(Object o)

  Specified by:
    `fatal` in interface `Log`

### fatal

    public void fatal(Object o,
                      Throwable throwable)

  Specified by:
    `fatal` in interface `Log`

### boilerPlate

    public void boilerPlate(String message)

### logBoilerPlate

    public void logBoilerPlate(List messages)

### logBoilerPlate

    public void logBoilerPlate(String[] messages)

### boilerPlate

    public void boilerPlate(String message,
                            char c,
                            int maxlength)

### boilerPlate

    public void boilerPlate(List messages,
                            char c,
                            int maxlength)

### boilerPlate

    public void boilerPlate(String[] messages,
                            char c,
                            int maxlength)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.